diff --git a/include/speex/speex.h b/include/speex/speex.h
index 5fc38c7..157e7aa 100644
--- a/include/speex/speex.h
+++ b/include/speex/speex.h
@@ -142,7 +142,8 @@ extern "C" {
 #define SPEEX_GET_SUBMODE_ENCODING 37
 
 /*#define SPEEX_SET_LOOKAHEAD 38*/
-/** Returns the lookahead used by Speex */
+/** Returns the lookahead used by Speex separately for an encoder and a decoder.
+ *  Sum encoder and decoder lookahead values to get the total codec lookahead. */
 #define SPEEX_GET_LOOKAHEAD 39
 
 /** Sets tuning for packet-loss concealment (expected loss rate) */
diff --git a/include/speex/speex_resampler.h b/include/speex/speex_resampler.h
index eb51d42..4d5913f 100644
--- a/include/speex/speex_resampler.h
+++ b/include/speex/speex_resampler.h
@@ -306,12 +306,12 @@ void speex_resampler_set_output_stride(SpeexResamplerState *st,
 void speex_resampler_get_output_stride(SpeexResamplerState *st, 
                                       spx_uint32_t *stride);
 
-/** Get the latency in input samples introduced by the resampler.
+/** Get the latency introduced by the resampler measured in input samples.
  * @param st Resampler state
  */
 int speex_resampler_get_input_latency(SpeexResamplerState *st);
 
-/** Get the latency in output samples introduced by the resampler.
+/** Get the latency introduced by the resampler measured in output samples.
  * @param st Resampler state
  */
 int speex_resampler_get_output_latency(SpeexResamplerState *st);